# Network Edge to Azure ExpressRoute Connect to Azure ExpressRoute from a Network Edge virtual device. > **Note** > > For instructions on connecting from a Fabric port, a Fabric Cloud Router or using a service token, see [Quick Connect to Microsoft Azure ExpressRoute (Port, Service Token, Cloud Router)](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/microsoft/azure-qc.md). ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") * Portal * API Before creating a connection to Microsoft Azure ExpressRoute from a Network Edge virtual device, you must have: * An Azure account with Microsoft. * An ExpressRoute Service Key which is configured in the Azure Resource Manager portal. * An Equinix Fabric account, with the following IAM roles assigned: `Fabric Connections Manager`. * A [Network Edge](https://docs.equinix.com/network-edge.md) virtual device. 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. 2. Determine Your A-side Information. You need a provisioned Network Edge Virtual Device, Redundant Devices, or Cluster with a registered license. Send a `GET` request to the [`/ne/v1/devices`](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevices.md) endpoint or the [`/ne/v1/devices/{id}`](https://docs.equinix.com/api-catalog/networkedgev1/virtual-device/getvirtualdevicebyuuid.md) endpoint. You may choose any available interface on the device for your connection. However, Equinix will select an interface if you do not specify one. 3. Identify the Azure ExpressRoute service profile information. More information on which service profile you should choose is on the [Azure ExpressRoute Overview](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/microsoft/azure-express-route-overview.md) page. * Azure ExpressRoute - `a1390b22-bbe0-4e93-ad37-85beef9d254d` * Azure Government ExpressRoute - `0de4e413-edd7-4325-912f-7c8a4428e156` 4. Identify and validate your ExpressRoute Service Key. Send a `POST` request to the [`/fabric/v4/connections/validate`](https://docs.equinix.com/api-catalog/fabricv4/connections/validateconnections.md) endpoint to verify that your ExpressRoute Service Key can be used to create a connection to the selected service profile in the given metro. ## Create a Connection to Azure ExpressRoute[​](#create-a-connection-to-azure-expressroute "Direct link to Create a Connection to Azure ExpressRoute") To connect to Microsoft Azure ExpressRoute: * Portal * API 1. From the *Connections* menu, select **Create Connection**. 2. In the *A Service Provider* card, click **Connect to a Service Provider**. ![Create a Connection to options with the A Service Provider card highlighted](https://docs.equinix.com/assets/images/service-provider-card-51d938de0bcc1df9912ba766114cb979.png) 3. In the **A Service Provider** card, click **Connect to a Service Provider**. 4. Locate the *Microsoft Azure* card and click **Select Service**. 5. On the *Azure Express Route* card, click **Create Connection (Network Edge Device)**. ![Microsoft Azure service profiles: Azure ExpressRoute and Azure Government ExpressRoute with Create Connection highlighted](https://docs.equinix.com/assets/images/fabricConnectClassicAzureServiceProfile-9abbf3cfb8846da80967ef1d5adc08cd.png) 6. Review the steps for connecting to Azure ExpressRoute, then click **Create a Connection to Azure ExpressRoute**. 7. In the *Origin* section: 1. Click Virtual Device. If the Virtual Device option is disabled, there are no virtual devices available in the selected project. Choose a different project, that has virtual devices assigned to it, or [create a new virtual device](https://docs.equinix.com/network-edge/create-devices/create-ne-virtual-devices.md) in this project. 2. Select a Metro. 3. Choose virtual device type, select connection type, then select a virtual device instance. 8. In the *Destination* section, enter your *Microsoft Azure ExpressRoute Service Key*, then click **Next**. > **Tip** > > Once your ExpressRoute Service Key is validated, the Azure Peering Location and bandwidth are displayed. The *Pricing Overview* displays updated details based on your connection location choices. It is possible to change the origin location to see the pricing for any route on the Fabric network. ![Select Locations step with Virtual Device origin, redundant connection type and Azure destination from service key](https://docs.equinix.com/assets/images/fabricAzureConnectClassicSelectLocations-911800277df6cca1d546d8375ac9fc4f.png) 9. Enter a primary connection name. 10. Enter a secondary connection name. 11. Select peering type. 12. Select network interface on your virtual device. 13. Enter a VLAN Seller C-tag. > **Note** > > If you enter a C-tagged VLAN value here, it must match the C-tag value entered in the Azure portal for the selected Peering Type. This value allows for the ExpressRoute circuit to move to a provisioned state. This is helpful for Fabric reseller users, or for users that have to manage multiple Azure subscriptions for different business units where they are only provided an ExpressRoute Service Key for provisioning and do not have access to ExpressRoute Peering configuration. 14. Enter a purchase order number. 15. Click **Next**. ![Connection Details step for Azure with primary and secondary names, peering type, interface and seller C-tag](https://docs.equinix.com/assets/images/fabricAzureConnectClassicConnectionDetails-c141ae6d644884cd6b141416153ded44.png) 16. Review the *Connection Summary* and *Redundant Connection Summary* information. 17. (*Optional*) Click *Design Summary* to download a copy of the design details. 18. (*Optional*) In the *Notifications* section, enter any additional email address(es) that should receive notifications about this subscription. 19. Click **Submit Order**. > **Note** > > Charges begin as soon as the connection request is submitted. ![Review step for Azure showing connection summaries, pricing overview, notifications and Submit Order button](https://docs.equinix.com/assets/images/fabricAzureConnectClassicReview-f101b29e74a2a9b6f40702d865518d10.png) To monitor the status of your connection, from the *Connections* menu, select **Connections Inventory**. To create a connection from your Network Edge device to Azure, send a `POST` request to the [`/fabric/v4/connections`](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md) endpoint. The connection `type` is `EVPL_VC`. Define your Network Edge device in the `aSide` object including: * `accessPoint.type` as `VD` * `virtualDevice.type` as `EDGE` * `virtualDevice.uuid` as your device's UUID Provide your Azure ExpressRoute details and location details in the `zSide` object including: * Set `accessPoint.type` as `SP`. * Set `profile.type` as `L2_PROFILE`. * Specify the Azure ExpressRoute service profile you are connecting to in `profile.uuid`. * Specify the Equinix Metro location you are connecting to in `location.metroCode`. * Set `authenticationKey` as your ExpressRoute Service Key . * Set `peeringType` as `MICROSOFT` or `PRIVATE`, depending on the services you are using the connection for. For more information, see [Configuring Peering](https://docs.equinix.com/fabric-marketplace/connecting-to-service-provider/microsoft/azure-express-route-overview.md#configuring-peering). Specify any other connection configuration details, including `bandwidth` and `redundancy`, in the body of the request. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/connections/createconnection.md). Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/connections' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{ "type": "EVPL_VC", "name": "", "bandwidth": , "redundancy":{ "priority": "" }, "aSide": { "accessPoint": { "type": "VD", "virtualDevice": { "type": "EDGE", "uuid": "" } } }, "zSide": { "accessPoint": { "type": "SP", "profile": { "type": "L2_PROFILE", "uuid": "" }, "location": { "metroCode": "SV" }, "authenticationKey": "xxxx-xxx-xxxx", "peeringType": "MICROSOFT" } }, "project": { "projectId": "" }, "order": { "purchaseOrderNumber": "" }, "notifications": [ { "type": "ALL", "emails": [ "" ] } ] } ``` ## Monitoring the Connection Status[​](#monitoring-the-connection-status "Direct link to Monitoring the Connection Status") Send a `GET` request to the [`fabric/v4/connections/{connectionId}`](https://docs.equinix.com/api-catalog/fabricv4/connections/getconnectionbyuuid.md) endpoint to monitor connection status. | Equinix Connection States | | Azure States | | | | ------------------------------------ | ------------------------------------- | ------------------- | ------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | | **`equinixStatus`** attribute values | **`providerStatus`** attribute values | **Provider Status** | **Peerings Status** | **Description** | | `PROVISIONING` | `PROVISIONING` | Not provisioned | Not provisioned | Connection request has not been sent to Microsoft yet. | | `PENDING_BGP_PEERING` | `PENDING_BGP` | Provisioned | Not provisioned | The connection has been approved and awaits for the customer to configure Microsoft peering on the Microsoft Azure portal. Note that the status will remain `PENDING_BGP_PEERING` until peering is completed in the Microsoft Azure portal and the status will only change to `PROVISIONED` once Equinix Fabric syncs with Microsoft. If you are connecting to Azure ExpressRoute from a Network Edge device, you also need to configure the routing details on the device, which vary by vendor (such as Cisco or Juniper). | | `PROVISIONING` | `PROVISIONED` | | | Provisioning completed at Microsoft's end and the connection is provisioning at Equinix's end. | | `PROVISIONED` | `PROVISIONED` | | | Connection established. |